﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using RadJumpList.Resources;
using System.Globalization;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace RadJumpList
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            List<string> days = this.GetDays();
            this.radJumpList.ItemsSource = days;
            GenericGroupDescriptor<string, string> groupByFirstName = new GenericGroupDescriptor<string, string>(day => day.Substring(0, 1).ToUpper());
            this.radJumpList.GroupDescriptors.Add(groupByFirstName);
            string alphabet = "#abcdefghijklmnopqrstuvwxyz";
            List<string> groupPickerItems = new List<string>(32);
            foreach (char c in alphabet)
            {
                groupPickerItems.Add(new string(c, 1));
            }
            this.radJumpList.GroupPickerItemsSource = groupPickerItems;
           
            
        }
        private List<string> GetDays()
        {
            List<string> days = new List<string>(12);
            foreach (string dayName in DateTimeFormatInfo.CurrentInfo.DayNames)
            {
                days.Add(dayName);
            }
            return days;
        }
        private void radJumpList_GroupPickerItemTap(object sender, GroupPickerItemTapEventArgs e)
        {
            foreach (DataGroup group in this.radJumpList.Groups)
            {
                if (object.Equals(e.DataItem, group.Key))
                {
                    e.DataItemToNavigate = group;
                    return;
                }
            }
        }
    }
}